Subject: Re: bug#66941: 29.1; Emacs on Windows can't display CJK characters correctly in svg images

From: Eli Zaretskii <[email-masked]>
Date: Sun, 05 Nov 2023 08:47:08 +0200

> From: Ilya Chernyshov <[email-masked]>
> Date: Sun, 05 Nov 2023 02:00:18 +0700
> 
> 
> Hi. Can't reproduce the issue by myself (I'm on linux), but already have
> been sent a couple of issues in my package repo.
> 
> Screenshot:
> 
> https://user-images.githubusercontent.com/9244946/280170406-64aca531-3542-40b7-9ae3-fc13ab3f1029.png
> 
> Link to the issue:
> 
> https://github.com/ichernyshovvv/org-timeblock/issues/36
> 
> Code to reproduce:
> 
> (progn
>   (require 'svg)
>   (switch-to-buffer "*svg-test*")
>   (let ((svg-image (svg-create 200 200))
> 	(inhibit-read-only t))
>     (erase-buffer)
>     (svg-text svg-image "我喜欢自由软件" :y 100 :x 50)
>     (svg-print svg-image)
>     (image-mode)))

I cannot get Emacs on Windows to display _any_ non-ASCII text with the
above recipe, not even if I use Latin-1 characters or characters from
the current system codepage.  Emacs encodes non-ASCII characters as
&#nnnn numbers (you can see that if you type "C-c C-c" in the
*svg-test* buffer), which is probably correct, but the SVG image is
not displayed for some reason.

Alan, any ideas or suggestions?